MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032604Open CASCADE[OCCT] OCCT:Visualizationpublic2021-10-04 13:232021-10-09 12:36
Reporterkgv 
Assigned Tosmoskvin 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032604: Visualization, AIS_LightSource - improve dragging robustness
DescriptionAIS_LightSource::ProcessDragging() stores initial dragging 2D point, which can be avoided.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A
Attached Files

- Relationships
related to 0032605assignedsshutina Visualization, AIS_LightSource - handle dragging outside of sphere 
child of 0032183verifiedbugmaster Visualization - implement AIS_LightSource::ProcessDragging() for rotating directional light 

-  Notes
(0104499)
git (administrator)
2021-10-04 13:54

Branch CR32604 has been created by kgv.

SHA-1: d42604232953b0ee50ed5555aab484f9232878cd


Detailed log of new commits:

Author: kgv
Date: Mon Oct 4 13:26:35 2021 +0300

    0032604: Visualization, AIS_LightSource - improve dragging robustness
(0104507)
kgv (developer)
2021-10-04 17:40

Patch is ready for review
- OCCT: branch CR32604.

http://jenkins-test-12.nnov.opencascade.com/view/CR32604-master-KGV/ [^]
(0104538)
osa (developer)
2021-10-08 10:27

The patch was reviewed
(0104566)
smoskvin (administrator)
2021-10-09 12:07

Combination -
OCCT branch : IR-2021-10-08
master SHA - 56b495d93bc70a96c9f07a6025b83e2e5e70eef7
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-08 SHA - fe10ebabd09fbeb2e94180b50cd581aa0612d135
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17935.650000000136 / 17754.63000000043 [+1.02%]
Products
Total CPU difference: 11611.53000000011 / 11405.930000000111 [+1.80%]
Windows-64-VC14:
OCCT
Total CPU difference: 19689.8125 / 19680.3125 [+0.05%]
Products
Total CPU difference: 12938.8125 / 12772.859375 [+1.30%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0104575)
git (administrator)
2021-10-09 12:36

Branch CR32604 has been deleted by mnt.

SHA-1: d42604232953b0ee50ed5555aab484f9232878cd

- Related Changesets
occt: master f9ae10ed
Timestamp: 2021-10-04 10:26:35
Author: kgv
Committer: smoskvin
Details ] Diff ]
0032604: Visualization, AIS_LightSource - improve dragging robustness
mod - src/AIS/AIS_LightSource.cxx Diff ] File ]
mod - src/AIS/AIS_LightSource.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSphere.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-10-04 13:23 kgv New Issue
2021-10-04 13:23 kgv Assigned To => kgv
2021-10-04 13:34 kgv Relationship added child of 0032183
2021-10-04 13:54 git Note Added: 0104499
2021-10-04 13:58 kgv Relationship added related to 0032605
2021-10-04 17:40 kgv Test case number => N/A
2021-10-04 17:40 kgv Note Added: 0104507
2021-10-04 17:40 kgv Assigned To kgv => osa
2021-10-04 17:40 kgv Status new => resolved
2021-10-08 10:27 osa Note Added: 0104538
2021-10-08 10:27 osa Assigned To osa => bugmaster
2021-10-08 10:27 osa Status resolved => reviewed
2021-10-09 12:07 smoskvin Note Added: 0104566
2021-10-09 12:07 smoskvin Status reviewed => tested
2021-10-09 12:31 smoskvin Changeset attached => occt master f9ae10ed
2021-10-09 12:31 smoskvin Assigned To bugmaster => smoskvin
2021-10-09 12:31 smoskvin Status tested => verified
2021-10-09 12:31 smoskvin Resolution open => fixed
2021-10-09 12:36 git Note Added: 0104575


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker